<?php

namespace App\Controllers\Admin\Equipment\Part;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\Part\DefenceHelper;
use App\Services\Equipment\Part\DefenceService;

class DefenceController extends PartController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): DefenceService
    {
        if (!$this->_service) {
            $this->_service = new DefenceService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): DefenceHelper
    {
        if (!$this->_helper) {
            $this->_helper = new DefenceHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련

    protected function setOrderByForList(): void
    {
        //OrderBy 처리
        $this->getService()->getModel()->orderBy('INET_ATON(ip)', 'ASC', false);
        parent::setOrderByForList();
    }
}
